---
title: "Migrating to Hugo"
date: 2017-10-24T20:30:43-04:00
draft: false
---

The migration is complete! I made the decision in the past week to move away from Middleman. While Middleman certainly has its strengths, it was still a process that was a little too manual. I found myself still having to code up HTML/CSS/JS and handle a lot of the web development side of blogging vs. getting to focus on content. I was unhappy with my site because I couldn't control how it looked or functioned without a massive amount of work, and after this work was complete I was too tired to actually blog! That was a major problem for me, because regularly blogging has been a goal of mine for years now. So I needed something simpler that handled this boilerplate development for me, allowing me to focus on weaving thoughts into nice coherent posts for my blog.

Enter Hugo, the static site generator written entirely in Go. How simple is it would you say? So simple that all I really did was install Hugo, download a theme, configure that theme and BOOM here I am writing content on my new platform.

I plan on using Hugo for my blog from now on, and will hopefully actively contribute to the project on Github.

## Getting Hugo on Fedora

My Hugo setup is currently on a Fedora 27 laptop. I wanted to share some of the steps I followed to get Hugo up and running.

## Snapcraft

Snapcraft and snaps are a method of package management created by Canonical, the company behind Ubuntu. Snaps are a means of isolating applications in a self-contained environment that includes everything that the application needs to run. Once you have downloaded the Hugo snap, you will be able to start working with Hugo.

After following the snapd installation instructions at [snapcraft.io](https://snapcraft.io), run

```bash
snap install hugo
hugo new site new-site
cd new-site
```

This will create your new Hugo site at `new-site` and change into it. After setting up a Hugo site, a good next step is to set a theme for the site. Visit [the themes site](https://themes.gohugo.io) and follow the instructions for downloading your theme and configuring it. My theme is Blackburn.

And there you have it! I know this post was short but I truly didn't do much when setting up Hugo! Let me know if there is anything you'd like to see me cover in my next post. Thanks!